idris-1.0: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.CmdOptions

Description

Synopsis

- runArgParser :: IO [Opt]
- pureArgParser :: [String] -> [Opt]
- parser :: Parser [Opt]
- parseFlags :: Parser [Opt]
- parseVersion :: Parser (a -> a)
- preProcOpts :: [Opt] -> [Opt]
- parseCodegen :: String -> Codegen
- parseLogCats :: Monad m => String -> m [LogCat]
- parseConsoleWidth :: Monad m => String -> m ConsoleWidth
- integerReader :: ReadP Int
- opt :: (Opt -> Maybe a) -> [Opt] -> [a]
- getClient :: Opt -> Maybe String
- getPkg :: Opt -> Maybe (Bool, String)
- getPkgCheck :: Opt -> Maybe String
- getPkgClean :: Opt -> Maybe String
- getPkgMkDoc :: Opt -> Maybe (Bool, String)
- getPkgREPL :: Opt -> Maybe String
- getPkgTest :: Opt -> Maybe String
- getPort :: [Opt] -> Maybe REPLPort
- getIBCSubDir :: Opt -> Maybe String

# Documentation

runArgParser :: IO [Opt] #

pureArgParser :: [String] -> [Opt] #

parser :: Parser [Opt] #

parseFlags :: Parser [Opt] #

parseVersion :: Parser (a -> a) #

preProcOpts :: [Opt] -> [Opt] #

parseCodegen :: String -> Codegen #

parseLogCats :: Monad m => String -> m [LogCat] #

parseConsoleWidth :: Monad m => String -> m ConsoleWidth #

integerReader :: ReadP Int #

opt :: (Opt -> Maybe a) -> [Opt] -> [a] #

getClient :: Opt -> Maybe String #

getPkg :: Opt -> Maybe (Bool, String) #

getPkgCheck :: Opt -> Maybe String #

getPkgClean :: Opt -> Maybe String #

getPkgMkDoc #

Arguments

:: Opt | Opt to extract
-> Maybe (Bool, String) | Result

Returns None if given an Opt which is not PkgMkDoc Otherwise returns Just x, where x is the contents of PkgMkDoc

getPkgREPL :: Opt -> Maybe String #

getPkgTest #

Arguments

:: Opt | the option to extract
-> Maybe String | the package file to test

getPort :: [Opt] -> Maybe REPLPort #

getIBCSubDir :: Opt -> Maybe String #